<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSyslogConfigurationReq StructType
 * @subpackage Structs
 */
class GetSyslogConfigurationReq extends AbstractStructBase
{
    /**
     * The serverName
     * Meta information extracted from the WSDL
     * - nillable: false
     * @var string
     */
    public $serverName;
    /**
     * The serviceGroup
     * Meta information extracted from the WSDL
     * - default: CM Services
     * - nillable: false
     * @var string
     */
    public $serviceGroup;
    /**
     * The service
     * Meta information extracted from the WSDL
     * - nillable: false
     * @var string
     */
    public $service;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RSyslogConfiguration
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetSyslogConfigurationReq
     * @uses GetSyslogConfigurationReq::setServerName()
     * @uses GetSyslogConfigurationReq::setServiceGroup()
     * @uses GetSyslogConfigurationReq::setService()
     * @uses GetSyslogConfigurationReq::setReturnedTags()
     * @uses GetSyslogConfigurationReq::setSequence()
     * @param string $serverName
     * @param string $serviceGroup
     * @param string $service
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RSyslogConfiguration $returnedTags
     * @param int $sequence
     */
    public function __construct($serverName = null, $serviceGroup = 'CM Services', $service = null, \\Losc\CucmBundle\Model\Webservice\StructType\RSyslogConfiguration $returnedTags = null, $sequence = null)
    {
        $this
            ->setServerName($serverName)
            ->setServiceGroup($serviceGroup)
            ->setService($service)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get serverName value
     * @return string|null
     */
    public function getServerName()
    {
        return $this->serverName;
    }
    /**
     * Set serverName value
     * @param string $serverName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSyslogConfigurationReq
     */
    public function setServerName($serverName = null)
    {
        $this->serverName = $serverName;
        return $this;
    }
    /**
     * Get serviceGroup value
     * @return string|null
     */
    public function getServiceGroup()
    {
        return $this->serviceGroup;
    }
    /**
     * Set serviceGroup value
     * @param string $serviceGroup
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSyslogConfigurationReq
     */
    public function setServiceGroup($serviceGroup = 'CM Services')
    {
        $this->serviceGroup = $serviceGroup;
        return $this;
    }
    /**
     * Get service value
     * @return string|null
     */
    public function getService()
    {
        return $this->service;
    }
    /**
     * Set service value
     * @param string $service
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSyslogConfigurationReq
     */
    public function setService($service = null)
    {
        $this->service = $service;
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RSyslogConfiguration|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RSyslogConfiguration $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSyslogConfigurationReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RSyslogConfiguration $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetSyslogConfigurationReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
